Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand Class Reference

The ezplatform:urls:regenerate-aliases Symfony command implementation. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand:

## Public Member Functions
| __construct (Repository $repository, LoggerInterface $logger=null)

## Public Attributes
const | DEFAULT_ITERATION_COUNT = 1000
const | BEFORE_RUNNING_HINTS =

## Protected Member Functions
| configure ()
| {} More...
| execute (InputInterface $input, OutputInterface $output)
| Regenerate URL aliases. More...
| getProgressBar ($maxSteps, OutputInterface $output)
| Return configured progress bar helper. More...

## Private Member Functions
| processLocations (array $locations, ProgressBar $progressBar)
| Process single results page of fetched Locations. More...
| loadAllLocations (int $offset, int $iterationCount)
| loadSpecificLocations (array $locationIds, int $offset, int $iterationCount)
| getFilteredLocationList (array $locationIds)
| regenerateSystemUrlAliases (OutputInterface $output, int $locationsCount, array $locationIds, int $iterationCount)

## Private Attributes
| $repository
| $logger

## Detailed Description

The ezplatform:urls:regenerate-aliases Symfony command implementation.

Recreates system URL aliases for all existing Locations and cleanups corrupted URL alias nodes.

Definition at line 26 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::__construct | ( | Repository | $repository,
|  | LoggerInterface | $logger = `null`
| ) |  |

Parameters

  \eZ\Publish\API\Repository\Repository | $repository |
  \Psr\Log\LoggerInterface | $logger |

Definition at line 49 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$logger, and eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::configure | ( |  | ) |
| protected

{}

Definition at line 60 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\BEFORE_RUNNING_HINTS.

## ◆ execute()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Regenerate URL aliases.

{}

Definition at line 104 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository, eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\getFilteredLocationList(), and eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\regenerateSystemUrlAliases().

## ◆ getFilteredLocationList()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::getFilteredLocationList | ( | array | $locationIds | ) |
| private

Parameters

  int[] | $locationIds |

Returns
  int[]

Exceptions

Definition at line 271 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\execute().

## ◆ getProgressBar()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::getProgressBar | ( |  | $maxSteps,
|  | OutputInterface | $output
| ) |  |
| protected

Return configured progress bar helper.

Parameters

  int | $maxSteps |
  \Symfony\Component\Console\Output\OutputInterface | $output |

Returns
  \Symfony\Component\Console\Helper\ProgressBar

Definition at line 159 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

## ◆ loadAllLocations()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::loadAllLocations | ( | int | $offset,
|  | int | $iterationCount
| ) |  |
| private

Parameters

  int | $offset |
  int | $iterationCount |

Returns
  \eZ\Publish\API\Repository\Values\Content\Location[]

Exceptions

Definition at line 235 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository.

## ◆ loadSpecificLocations()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::loadSpecificLocations | ( | array | $locationIds,
|  | int | $offset,
|  | int | $iterationCount
| ) |  |
| private

Parameters

  int[] | $locationIds |
  int | $offset |
  int | $iterationCount |

Returns
  \eZ\Publish\API\Repository\Values\Content\Location[]

Exceptions

Definition at line 253 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository.

## ◆ processLocations()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::processLocations | ( | array | $locations,
|  | ProgressBar | $progressBar
| ) |  |
| private

Process single results page of fetched Locations.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location[] | $locations |
  \Symfony\Component\Console\Helper\ProgressBar | $progressBar |

Definition at line 175 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\$repository, and eZ\Publish\API\Repository\Values\Content\Language\ALL.

## ◆ regenerateSystemUrlAliases()

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::regenerateSystemUrlAliases | ( | OutputInterface | $output,
|  | int | $locationsCount,
|  | array | $locationIds,
|  | int | $iterationCount
| ) |  |
| private

Parameters

  \Symfony\Component\Console\Output\OutputInterface | $output |
  int | $locationsCount |
  int[] | $locationIds |
  int | $iterationCount |

Definition at line 295 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\execute().

## Member Data Documentation

## ◆ $logger

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::$logger
| private

Definition at line 43 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\__construct().

## ◆ $repository

eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::$repository
| private

Definition at line 40 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\__construct(), eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\execute(), eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\getFilteredLocationList(), eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\loadAllLocations(), eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\loadSpecificLocations(), and eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\processLocations().

## ◆ BEFORE_RUNNING_HINTS

const eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::BEFORE_RUNNING_HINTS =

Definition at line 30 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand\configure().

## ◆ DEFAULT_ITERATION_COUNT

const eZ\Bundle\EzPublishCoreBundle\Command\RegenerateUrlAliasesCommand::DEFAULT_ITERATION_COUNT = 1000

Definition at line 28 of file EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php.

The documentation for this class was generated from the following file:

- EzPublishCoreBundle/Command/RegenerateUrlAliasesCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.